pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: A more efficiet way to update packages.

On Wed, Sep 30, 2009 at 01:25:38PM +0530, Siju George wrote:
> 1)  pkg_add: A different version of tcl-8.3.4nb2 is already installed:
> tcl-8.4.18
>      pkg_add: 1 package addition failed.
> Why would it try to install a package with a version no. that is less
> than the one already installed?

Because tcl83 and tcl84 are not compatible. Some programs need the
ancient version.

> 2) So many packages are marked as " non auto-removeable".

That sounds like a bug.


Home | Main Index | Thread Index | Old Index